summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-12-20 22:58:20 +0100
committerHolger Levsen <holger@layer-acht.org>2015-12-20 22:58:20 +0100
commit1445f8f82b2e644e08a2d64f3092dd622ac3acf3 (patch)
tree36832d1c7692e8757a67ca220c56f7f7adcc4a49
parentfbe6aecc550fa0a821ac3267deaeb89ddd994db9 (diff)
downloadjenkins.debian.net-1445f8f82b2e644e08a2d64f3092dd622ac3acf3.tar.xz
reproducible archlinux+rpms:_don't create TMPDIR when it's not clear we'll run in master mode
-rw-r--r--TODO5
-rwxr-xr-xbin/reproducible_build_archlinux_pkg.sh8
-rwxr-xr-xbin/reproducible_build_rpm.sh8
3 files changed, 9 insertions, 12 deletions
diff --git a/TODO b/TODO
index e2df2cb7..a0b6aace 100644
--- a/TODO
+++ b/TODO
@@ -302,12 +302,13 @@ The plan is to run a jenkins.d.o host, which is maintained by DSA, but we are ma
* describe archlinux setup…!
* move /var/lib/schroot to /srv/workspace aka tmpfs
+* maintenance job:
+** check for archlinux schroot sessions which should not be there and delete them. complain if that fails.
+** properly clean schroot sessions, check on pb3…
* setup_archlinux_schroot job:
** needs to be made idempotent
** needs to download bootstrap.tar.gz sig and verify
** once this has been done, run it more often than once a year
-* maintenance job:
-** check for archlinux schroot sessions which should not be there and delete them. complain if that fails.
* arch build.sh:
** introduce more variations: USER
** confirm the others are really working
diff --git a/bin/reproducible_build_archlinux_pkg.sh b/bin/reproducible_build_archlinux_pkg.sh
index d7540df2..3706567a 100755
--- a/bin/reproducible_build_archlinux_pkg.sh
+++ b/bin/reproducible_build_archlinux_pkg.sh
@@ -253,21 +253,19 @@ remote_build() {
#
# below is what controls the world
#
-
-TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d -t rbuild-archlinux-XXXXXXXX) # where everything actually happens
-trap cleanup_all INT TERM EXIT
-cd $TMPDIR
-
TIMEOUT=8 # maximum time in hours for a single build
DATE=$(date -u +'%Y-%m-%d %H:%M')
START=$(date +'%s')
DUMMY=$(mktemp -t archlinux-dummy-XXXXXXXX)
+trap cleanup_all INT TERM EXIT
#
# determine mode
#
if [ "$1" = "" ] ; then
MODE="master"
+ TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d -t rbuild-archlinux-XXXXXXXX) # where everything actually happens
+ cd $TMPDIR
elif [ "$1" = "1" ] || [ "$1" = "2" ] ; then
MODE="$1"
REPOSITORY="$2"
diff --git a/bin/reproducible_build_rpm.sh b/bin/reproducible_build_rpm.sh
index 2010f46f..a2e7598d 100755
--- a/bin/reproducible_build_rpm.sh
+++ b/bin/reproducible_build_rpm.sh
@@ -182,16 +182,12 @@ remote_build() {
#
# below is what controls the world
#
-
-TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d -t rbuild-rpm-XXXXXXXX) # where everything actually happens
-trap cleanup_all INT TERM EXIT
-cd $TMPDIR
-
TIMEOUT=8 # maximum time in hours for a single build
DATE=$(date -u +'%Y-%m-%d %H:%M')
START=$(date +'%s')
DUMMY=$(mktemp -t rpm-dummy-XXXXXXXX)
RPM_STAMPS=/srv/reproducible-results/.rpm_stamp
+trap cleanup_all INT TERM EXIT
#
# determine mode
@@ -218,6 +214,8 @@ if [ "$1" = "1" ] || [ "$1" = "2" ] ; then
exit 0
fi
MODE="master"
+TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d -t rbuild-rpm-XXXXXXXX) # where everything actually happens
+cd $TMPDIR
#
# main - only used in master-mode